%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Plot model vs. data
figure('name','Baseline: Data vs. Model (small)');
jj=numel(sync_data_weekly.Time);
sub1=subplot(2,2,1);
plot(sync_data_weekly.Time,100*sync_data_weekly{:,2},'b-','LineWidth',2.5),hold on
plot(sync_data_weekly.Time,100*(Cl(1:jj)-Cl(1))/Cl(1),'b--','LineWidth',1.5), hold on
plot(sync_data_weekly.Time,100*sync_data_weekly{:,1},'r-','LineWidth',2.5),hold on
plot(sync_data_weekly.Time,100*(Ch(1:jj)-Ch(1))/Ch(1),'r--','LineWidth',1.5), hold on
box off;
title('Spending by Income');
ylabel('% Dev. from Jan 2020');
set(gca,'FontSize',12);
legend1=legend('Data: Low Income','Model: Low Income','Data: High Income','Model: High Income','Location','Southwest');
legend boxoff;
set(legend1,...
    'Position',[0.163974874697309 0.246396918606391 0.251785714285714 0.146428571428571],...
    'Orientation','vertical');
sub1.XLim(1)='01-Feb-2020';
sub1.XLim(2)='01-Jul-2020';
sub1.YLim(1)=-50;
sub1.YLim(2)=10;

sub2=subplot(2,2,2);
plot(sync_data_weekly.Time,100*sync_data_weekly{:,3},'b-','LineWidth',2.5),hold on
plot(sync_data_weekly.Time,100*(Nl(1:jj)-Nl(1))/Nl(1),'b--','LineWidth',1.5), hold on
plot(sync_data_weekly.Time,100*sync_data_weekly{:,4},'r-','LineWidth',2.5),hold on
plot(sync_data_weekly.Time,100*(Nh(1:jj)-Nh(1))/Nh(1),'r--','LineWidth',1.5), hold on
box off;
title('Employment by Income');
ylabel('% Dev. from Jan 2020');
set(gca,'FontSize',12);
sub2.XLim=sub1.XLim;
sub2.YLim(1)=-50;
sub2.YLim(2)=10;

sub3=subplot(2,2,4);
plot(sync_data_weekly.Time,100*sync_data_weekly{:,8}/pop,'k-','LineWidth',2),hold on
plot(sync_data_weekly.Time,100*(dh(1:numel(sync_data_weekly.Time))+dl(1:numel(sync_data_weekly.Time))),'m--','LineWidth',2),hold on
box off;
title('Total Deaths');
ylabel('% of Initial Population');
set(gca,'FontSize',12);
sub3.XLim=sub1.XLim;
legend('Data','Model','Location','Northwest');
legend boxoff;

suptitle('Figure: Spending, Employment and Deaths')
orient landscape
print -dpdf -fillpage data_vs_model_baseline







%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Plot Income inequality and Deaths
figure('name','Baseline: Inequality in Life and Death');
jj=numel(sync_data_weekly.Time);
sub1=subplot(1,2,1);
plot(sync_data_weekly.Time,100*incshrh(1:numel(sync_data_weekly.Time)),'k','LineWidth',2), hold on
plot(sync_data_weekly.Time,NaN*sync_data_weekly{:,1},'r-','LineWidth',2.5),hold on
box off;
title('Income Inequality');
ylabel('Income Share of High Income Households, %');
set(gca,'FontSize',12);
sub1.XLim(1)='01-Feb-2020';
sub1.XLim(2)='01-Jul-2020';


sub3=subplot(1,2,2);
plot(sync_data_weekly.Time,100*(1/sl_ss*dl(1:numel(sync_data_weekly.Time))),'b-','LineWidth',2),hold on
plot(sync_data_weekly.Time,100*(1/sh_ss*dh(1:numel(sync_data_weekly.Time))),'r--','LineWidth',2),hold on
plot(sync_data_weekly.Time,NaN*100*sync_data_weekly{:,8}/pop,'k:','LineWidth',0.1),hold on
box off;
title('Deaths per Capita by Income');
ylabel('% of Initial Population');
set(gca,'FontSize',12);
sub3.XLim=sub1.XLim;
legend('Model: Low Income','Model: High Income','Location','Northwest');
legend boxoff;
 
suptitle('Figure: Income Inequality and Deaths')
orient landscape
print -dpdf -fillpage inequality_deaths_baseline
