%compute result depicted in Figure 7 (Inequality in Life and Death) 

clear all
clc
close all 

format long

sh_ss_vec=sort([0.36;0.33;0.3;0.27;0.24;0.21;0.18;0.15;0.12;0.09;0.06;0.03;],'descend');

Gini_vec=[];
dl_end_vec=[];
dh_end_vec=[];
D_end_vec=[];
Al_vec=[];

save results_loop sh_ss_vec Gini_vec dl_end_vec dh_end_vec D_end_vec Al_vec

for jjj=1:1:numel(sh_ss_vec)  
    
    sh_ss=sh_ss_vec(jjj)%loop through a vector of sh values
    
    scale_transfers=(1-sh_ss)/(1-0.18); %impose that for each sh, transfers pc are 1.2k USD
      
    pause(3)

    dynare ert_inequality.mod;
    
    load results_loop;

    Gini_vec=[Gini_vec;Gini];
    dl_end_vec=[dl_end_vec;dl_end];
    dh_end_vec=[dh_end_vec;dh_end];
    D_end_vec=[D_end_vec;D_end];
    Al_vec=[Al_vec;Al];
      
    save results_loop sh_ss_vec Gini_vec dl_end_vec dh_end_vec D_end_vec Al_vec
    close all;
end


figure;
plot(Gini_vec,100*D_end_vec,'sb-','LineWidth',3,'MarkerSize',11);hold on
plot(Gini_vec,100*dl_end_vec,'or-','LineWidth',2,'MarkerSize',9);hold on
plot(Gini_vec,100*dh_end_vec,'*k-','LineWidth',2,'MarkerSize',9);hold on

legend('Terminal Deaths, Total','Terminal Deaths, Poor (Low Skilled)','Terminal Deaths, Rich (High Skilled)','FontSize',12,'Location','NorthWest');
box off
legend box off
xlabel('Gini index (pre-epidemic steady state)','FontSize',12);
ylabel('Terminal deaths after epidemic (percent of initial total population)','FontSize',12);
set(gca,'FontSize',12);

suptitle('Figure: Inequality in Life and Death')
orient landscape

print -dpdf -fillpage inequality_deaths

save run 


