cd baseline 
load all_results_baseline

incshrh_base=incshrh;
dl_base=dl;
dh_base=dh;
cl_base=Cl;

cd ..
cd notransfers
load all_results_baseline
incshrh_notrans=incshrh;
dl_notrans=dl;
dh_notrans=dh;
cl_notrans=Cl;

cd ..
cd nocontainment
load all_results_baseline
incshrh_nocont=incshrh;
dl_nocont=dl;
dh_nocont=dh;

cd ..

figure;
jj=numel(sync_data_weekly.Time);
sub1=subplot(1,2,1);
plot(sync_data_weekly.Time,100*incshrh_notrans(1:numel(sync_data_weekly.Time)),'m-','LineWidth',2), hold on
plot(sync_data_weekly.Time,100*incshrh_base(1:numel(sync_data_weekly.Time)),'k','LineWidth',2), hold on
plot(sync_data_weekly.Time,100*incshrh_nocont(1:numel(sync_data_weekly.Time)),'g','LineWidth',2), hold on
plot(sync_data_weekly.Time,NaN*sync_data_weekly{:,1},'r-','LineWidth',2.5),hold on

plot(sync_data_weekly.Time,100*incshrh_base(1:numel(sync_data_weekly.Time)),'k','LineWidth',2), hold on
box off;
title('Income Inequality');
ylabel('Income Share of High Income Households, %');
set(gca,'FontSize',12);
legend('No Transfers','Baseline','No Containment','Location','Southwest');
legend boxoff;
sub1.XLim(1)='Feb-2020';
sub1.XLim(2)='Jul-2020';


sub3=subplot(1,2,2);
plot(sync_data_weekly.Time,1/sl_ss*100*(dl_nocont(1:numel(sync_data_weekly.Time))),'g-','LineWidth',2),hold on
plot(sync_data_weekly.Time,1/sl_ss*100*(dl_base(1:numel(sync_data_weekly.Time))),'k-','LineWidth',2),hold on
plot(sync_data_weekly.Time,1/sl_ss*100*(dl_notrans(1:numel(sync_data_weekly.Time))),'m-','LineWidth',2),hold on

plot(sync_data_weekly.Time,100*(1/sh_ss*dh_nocont(1:numel(sync_data_weekly.Time))),'g--','LineWidth',2),hold on
plot(sync_data_weekly.Time,100*(1/sh_ss*dh_base(1:numel(sync_data_weekly.Time))),'k--','LineWidth',2),hold on
plot(sync_data_weekly.Time,100*(1/sh_ss*dh_notrans(1:numel(sync_data_weekly.Time))),'m--','LineWidth',2),hold on
plot(sync_data_weekly.Time,NaN*100*sync_data_weekly{:,8}/pop,'k:','LineWidth',0.1),hold on
plot(sync_data_weekly.Time,100*(1/sh_ss*dh_base(1:numel(sync_data_weekly.Time))),'k--','LineWidth',2),hold on
plot(sync_data_weekly.Time,100*(1/sl_ss*dl_base(1:numel(sync_data_weekly.Time))),'k-','LineWidth',2),hold on

box off;
title('Deaths per Capita by Income');
ylabel('% of Initial Population');
set(gca,'FontSize',12);
sub3.XLim=sub1.XLim;
legend('No Containment: Low Income','Baseline: Low Income','No Transfers: Low Income','No Containment: High Income','Baseline: High Income','No Transfers: High Income','Location','Northwest');
legend boxoff;

 
suptitle('Figure 8: Sensitivity of Income Inequality and Deaths')

orient landscape
print -dpdf -fillpage Figure8
